org.keycloak.events.log

## Class SysLoggingEventListenerProviderFactory

- java.lang.Object
- - org.keycloak.events.log.SysLoggingEventListenerProviderFactory

- All Implemented Interfaces:
    EventListenerProviderFactory, ProviderFactory<EventListenerProvider>

      public class SysLoggingEventListenerProviderFactory
      extends Object
      implements EventListenerProviderFactory

  Author:
    Giriraj Sharma

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SysLoggingEventListenerProviderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `EventListenerProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SysLoggingEventListenerProviderFactory

          public SysLoggingEventListenerProviderFactory()

  - ### Method Detail

    - #### create

          public EventListenerProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<EventListenerProvider>`

    - #### init

          public void init(Config.Scope config)

      Specified by:
        `init` in interface `ProviderFactory<EventListenerProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<EventListenerProvider>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ProviderFactory<EventListenerProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<EventListenerProvider>`

Copyright © 2015. All rights reserved.